----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    15:14:45 10/10/2007 
-- Design Name: 
-- Module Name:    Speed_Cnt5 - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity Speed_Cnt5 is
    Port ( Clk : 	     in  STD_LOGIC;
           Btn_Up :    in  STD_LOGIC;
           Btn_Down :  in  STD_LOGIC;
           Btn_Reset : in  STD_LOGIC;
           Led :      out  STD_LOGIC_VECTOR (5 downto 0));
end Speed_Cnt5;

architecture Behavioral of Speed_Cnt5 is
   Signal Speed:    STD_LOGIC_VECTOR (5 downto 0):= "000000";	
begin

   -- Error 
	-- Speed cannot be synthesized, bad synchronous description.
	---
   process(Btn_up,Btn_Down,Btn_Reset)
	begin
	   if Rising_Edge(Btn_up) then
			Speed <= Speed + "100";
	   end if;
	   if Rising_Edge(Btn_Down) then
			Speed <= Speed - "1";
	   end if;
	   if Rising_Edge(Btn_Reset) then
			Speed <= (others => '0');
	   end if;
	end process;

	Led <= Speed;
end Behavioral;

