----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    10:44:07 10/08/2007 
-- Design Name: 
-- Module Name:    Speed_cntl1 - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity Speed_cntl1 is
    Port ( Clk : 		 in  STD_LOGIC;
           Btn_Up : 	 in  STD_LOGIC;
           Btn_Down : in  STD_LOGIC;
           Btn_Reset :in  STD_LOGIC;
           Q : out  STD_LOGIC_VECTOR (5 downto 0));
end Speed_cntl1;

architecture Behavioral of Speed_cntl1 is
   Signal Speed :  STD_LOGIC_VECTOR (5 downto 0):= "000000";
begin

	--###########################################################
   process(Clk)
	begin
	   if Rising_Edge(Clk) then
		   if Btn_Up='1' then
			   Speed <= Speed + "100";
			end if;
		   if Btn_Down='1' then
			   Speed <= Speed - "1";
			end if;
		   if Btn_Reset='1' then
			   Speed <= (others => '0');
			end if;
		end if;
	end process;
	
	Q <= Speed;
end Behavioral;

