--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 9.2.02i
--  \   \         Application : sch2vhdl
--  /   /         Filename : Diagram.vhf
-- /___/   /\     Timestamp : 10/08/2007 10:52:05
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx92i\bin\nt\sch2vhdl.exe -intstyle ise -family spartan3e -flat -suppress -w D:/BASYS_PROJECTS/Speed_Control/Diagram.sch Diagram.vhf
--Design Name: Diagram
--Device: spartan3e
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity Diagram is
   port ( Btn_Down  : in    std_logic; 
          Btn_Reset : in    std_logic; 
          Btn_Up    : in    std_logic; 
          Clk       : in    std_logic; 
          Led       : out   std_logic_vector (5 downto 0));
end Diagram;

architecture BEHAVIORAL of Diagram is
   signal XLXN_1    : std_logic;
   signal XLXN_2    : std_logic;
   signal XLXN_3    : std_logic;
   component Speed_cntl1
      port ( Clk       : in    std_logic; 
             Btn_Up    : in    std_logic; 
             Btn_Down  : in    std_logic; 
             Btn_Reset : in    std_logic; 
             Q         : out   std_logic_vector (5 downto 0));
   end component;
   
   component Toggle_Button3
      port ( Clk    : in    std_logic; 
             Button : in    std_logic; 
             Toggle : out   std_logic; 
             Deboun : out   std_logic; 
             Pulse  : out   std_logic);
   end component;
   
begin
   XLXI_1 : Speed_cntl1
      port map (Btn_Down=>XLXN_2,
                Btn_Reset=>XLXN_3,
                Btn_Up=>XLXN_1,
                Clk=>Clk,
                Q(5 downto 0)=>Led(5 downto 0));
   
   XLXI_3 : Toggle_Button3
      port map (Button=>Btn_Up,
                Clk=>Clk,
                Deboun=>open,
                Pulse=>XLXN_1,
                Toggle=>open);
   
   XLXI_4 : Toggle_Button3
      port map (Button=>Btn_Down,
                Clk=>Clk,
                Deboun=>open,
                Pulse=>XLXN_2,
                Toggle=>open);
   
   XLXI_5 : Toggle_Button3
      port map (Button=>Btn_Reset,
                Clk=>Clk,
                Deboun=>open,
                Pulse=>XLXN_3,
                Toggle=>open);
   
end BEHAVIORAL;


