----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    14:13:16 10/10/2007 
-- Design Name: 
-- Module Name:    Speed_cnt3 - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity Speed_cnt3 is
    Port ( Clk : 	     in  STD_LOGIC;
           Btn_Up :    in  STD_LOGIC;
           Btn_Down :  in  STD_LOGIC;
           Btn_Reset : in  STD_LOGIC;
           Led :      out  STD_LOGIC_VECTOR (5 downto 0));
end Speed_cnt3;

architecture Behavioral of Speed_cnt3 is
   Signal Speed:    STD_LOGIC_VECTOR (5 downto 0):= "000000";
	Signal CClk:	  STD_LOGIC;	
begin
	--###########################################################
	CClk <= Btn_Up or Btn_Down or Btn_Reset;

	--###########################################################	
   process(CClk)
	begin
	   if Rising_Edge(CClk) then
		   if Btn_Up='1' then
			   Speed <= Speed + "100";
			end if;
		   if Btn_Down='1' then
			   Speed <= Speed - "1";
			end if;
		   if Btn_Reset='1' then
			   Speed <= (others => '0');
			end if;
		end if;
	end process;
	
	Led <= Speed;
end Behavioral;

