VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1(5:0)
        SIGNAL XLXN_2(5:0)
        SIGNAL XLXN_3(5:0)
        SIGNAL XLXN_4(5:0)
        SIGNAL Led(5:0)
        SIGNAL Sel(1:0)
        SIGNAL Clk
        SIGNAL Btn_Up
        SIGNAL Btn_Down
        SIGNAL Btn_Reset
        PORT Output Led(5:0)
        PORT Input Sel(1:0)
        PORT Input Clk
        PORT Input Btn_Up
        PORT Input Btn_Down
        PORT Input Btn_Reset
        BEGIN BLOCKDEF Speed_cnt3
            TIMESTAMP 2007 10 10 14 12 56
            RECTANGLE N 64 -256 320 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
        END BLOCKDEF
        BEGIN BLOCKDEF Speed_Cnt3b
            TIMESTAMP 2007 10 10 14 12 45
            RECTANGLE N 64 -256 320 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
        END BLOCKDEF
        BEGIN BLOCKDEF Mux4x6
            TIMESTAMP 2007 10 10 14 38 46
            RECTANGLE N 64 -320 320 0 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -300 384 -276 
            LINE N 320 -288 384 -288 
        END BLOCKDEF
        BEGIN BLOCKDEF Diagram2
            TIMESTAMP 2007 10 10 14 47 10
            RECTANGLE N 64 -256 320 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
        END BLOCKDEF
        BEGIN BLOCKDEF Speed_Cnt2
            TIMESTAMP 2007 10 10 12 7 30
            RECTANGLE N 64 -256 320 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
        END BLOCKDEF
        BEGIN BLOCK XLXI_5 Speed_cnt3
            PIN Clk Clk
            PIN Btn_Up Btn_Up
            PIN Btn_Down Btn_Down
            PIN Btn_Reset Btn_Reset
            PIN Led(5:0) XLXN_3(5:0)
        END BLOCK
        BEGIN BLOCK XLXI_6 Speed_Cnt3b
            PIN Clk Clk
            PIN Btn_Up Btn_Up
            PIN Btn_Down Btn_Down
            PIN Btn_Reset Btn_Reset
            PIN Led(5:0) XLXN_4(5:0)
        END BLOCK
        BEGIN BLOCK XLXI_7 Mux4x6
            PIN D0(5:0) XLXN_1(5:0)
            PIN D1(5:0) XLXN_2(5:0)
            PIN D2(5:0) XLXN_3(5:0)
            PIN D3(5:0) XLXN_4(5:0)
            PIN Sel(1:0) Sel(1:0)
            PIN Y(5:0) Led(5:0)
        END BLOCK
        BEGIN BLOCK XLXI_10 Diagram2
            PIN Clk Clk
            PIN Btn_Up Btn_Up
            PIN Btn_Down Btn_Down
            PIN Btn_Reset Btn_Reset
            PIN Led(5:0) XLXN_1(5:0)
        END BLOCK
        BEGIN BLOCK XLXI_11 Speed_Cnt2
            PIN Clk Clk
            PIN Btn_Up Btn_Up
            PIN Btn_Down Btn_Down
            PIN Btn_Reset Btn_Reset
            PIN Led(5:0) XLXN_2(5:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_5 544 1280 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_6 544 1632 R0
        END INSTANCE
        BEGIN BRANCH XLXN_1(5:0)
            WIRE 928 368 1040 368
        END BRANCH
        BEGIN BRANCH XLXN_2(5:0)
            WIRE 928 704 944 704
            WIRE 944 432 944 704
            WIRE 944 432 1040 432
        END BRANCH
        BEGIN BRANCH XLXN_3(5:0)
            WIRE 928 1056 960 1056
            WIRE 960 496 960 1056
            WIRE 960 496 1040 496
        END BRANCH
        BEGIN BRANCH XLXN_4(5:0)
            WIRE 928 1408 976 1408
            WIRE 976 560 976 1408
            WIRE 976 560 1040 560
        END BRANCH
        BEGIN INSTANCE XLXI_7 1040 656 R0
        END INSTANCE
        BEGIN BRANCH Led(5:0)
            WIRE 1424 368 1488 368
        END BRANCH
        BEGIN BRANCH Sel(1:0)
            WIRE 560 1664 1024 1664
            WIRE 1024 624 1040 624
            WIRE 1024 624 1024 1664
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 384 368 528 368
            WIRE 528 368 544 368
            WIRE 528 368 528 704
            WIRE 528 704 544 704
            WIRE 528 704 528 1056
            WIRE 528 1056 544 1056
            WIRE 528 1056 528 1408
            WIRE 528 1408 544 1408
        END BRANCH
        BEGIN BRANCH Btn_Up
            WIRE 368 1472 432 1472
            WIRE 432 1472 544 1472
            WIRE 432 432 432 768
            WIRE 432 768 544 768
            WIRE 432 768 432 1120
            WIRE 432 1120 432 1472
            WIRE 432 1120 544 1120
            WIRE 432 432 544 432
        END BRANCH
        BEGIN BRANCH Btn_Down
            WIRE 400 1536 464 1536
            WIRE 464 1536 544 1536
            WIRE 464 496 464 832
            WIRE 464 832 464 1184
            WIRE 464 1184 464 1536
            WIRE 464 1184 544 1184
            WIRE 464 832 544 832
            WIRE 464 496 544 496
        END BRANCH
        BEGIN BRANCH Btn_Reset
            WIRE 400 1600 496 1600
            WIRE 496 1600 544 1600
            WIRE 496 560 496 896
            WIRE 496 896 496 1248
            WIRE 496 1248 496 1600
            WIRE 496 1248 544 1248
            WIRE 496 896 544 896
            WIRE 496 560 544 560
        END BRANCH
        IOMARKER 384 368 Clk R180 28
        IOMARKER 368 1472 Btn_Up R180 28
        IOMARKER 1488 368 Led(5:0) R0 28
        BEGIN INSTANCE XLXI_10 544 592 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_11 544 928 R0
        END INSTANCE
        IOMARKER 560 1664 Sel(1:0) R180 28
        IOMARKER 400 1536 Btn_Down R180 28
        IOMARKER 400 1600 Btn_Reset R180 28
        BEGIN DISPLAY 240 1664 TEXT Sw1:Sw0
            FONT 40 "Arial"
            TEXTCOLOR 255 0 0
        END DISPLAY
        BEGIN DISPLAY 132 1540 TEXT Btn0
            FONT 40 "Arial"
            TEXTCOLOR 255 0 0
        END DISPLAY
        BEGIN DISPLAY 132 1476 TEXT Btn1
            FONT 40 "Arial"
            TEXTCOLOR 255 0 0
        END DISPLAY
        BEGIN DISPLAY 132 1604 TEXT Btn3
            FONT 40 "Arial"
            TEXTCOLOR 255 0 0
        END DISPLAY
        BEGIN DISPLAY 160 368 TEXT "50 MHz"
            FONT 40 "Arial"
            TEXTCOLOR 255 0 0
        END DISPLAY
        BEGIN DISPLAY 1436 428 TEXT "Ld5 .. Ld0"
            FONT 40 "Arial"
            TEXTCOLOR 255 0 0
        END DISPLAY
        BEGIN DISPLAY 1068 712 TEXT "Mux4x6 makes it possible to compare"
            FONT 36 "Arial"
            TEXTCOLOR 255 0 0
        END DISPLAY
        BEGIN DISPLAY 1056 756 TEXT "4 different solutions of the same problem"
            FONT 36 "Arial"
            TEXTCOLOR 255 0 0
        END DISPLAY
    END SHEET
END SCHEMATIC
